<template>
	<modulen>
		<template #title>通行量同比</template>
		<template #end>
			<date-switcher
				v-model="selectType"
				:selectTime="2"
				@change="handleChangeDate"
			></date-switcher>
		</template>
		<div class="traff-tb-md">
			<div class="tj-left">
				<el-carousel
					class="txtb-carousel"
					direction="vertical"
					indicator-position="none"
					:loop="true"
					:interval="3000"
				>
					<!-- 这里循环两次是让他可以看起来像无限循环 -->
					<div v-for="item in 2" :key="item">
						<el-carousel-item>
							<div class="tj-left-item tj-left-item-a">
								<div class="tjli-text1">
									<span class="tjli-text1-l"
										>{{ tongbiText }}车辆</span
									>
									<span class="tjli-text1-r">
										<i
											:class="
												dataInfo.bncl > dataInfo.qncl
													? 'el-icon-top'
													: 'el-icon-bottom'
											"
										></i>
										{{ percentage.vehicle }}%
									</span>
								</div>
								<div class="tjli-text2">
									<span class="tjli-text2-l">{{
										formatThousand(dataInfo.bncl || 0)
									}}</span
									><span class="tjli-text2-r">辆</span>
								</div>
							</div>
							<div class="tj-left-item tj-left-item-b">
								<div class="tjli-text1">
									<span class="tjli-text1-l"
										>{{ qunianlastText }}车辆</span
									>
								</div>
								<div class="tjli-text2">
									<span class="tjli-text2-l">{{
										formatThousand(dataInfo.qncl || 0)
									}}</span
									><span class="tjli-text2-r">辆</span>
								</div>
							</div>
							<div class="tj-left-item tj-left-item-a">
								<div class="tjli-text1">
									<span class="tjli-text1-l"
										>{{ tongbiText }}金额</span
									>
									<span class="tjli-text1-r">
										<i
											:class="
												dataInfo.bnje > dataInfo.qnje
													? 'el-icon-top'
													: 'el-icon-bottom'
											"
										></i>
										{{ percentage.money }}%
									</span>
								</div>
								<div class="tjli-text2">
									<span class="tjli-text2-l">{{
										formatThousand(dataInfo.bnje || 0)
									}}</span
									><span class="tjli-text2-r">万元</span>
								</div>
							</div>
							<div class="tj-left-item tj-left-item-b">
								<div class="tjli-text1">
									<span class="tjli-text1-l"
										>{{ qunianlastText }}金额</span
									>
								</div>
								<div class="tjli-text2">
									<span class="tjli-text2-l">{{
										formatThousand(dataInfo.qnje || 0)
									}}</span
									><span class="tjli-text2-r">万元</span>
								</div>
							</div>
						</el-carousel-item>
						<el-carousel-item>
							<div class="tj-left-item tj-left-item-a">
								<div class="tjli-text1">
									<span class="tjli-text1-l tj-text-zmd"
										>{{ tongbiText }}断面流量</span
									>
									<span class="tjli-text1-r">
										<i
											:class="
												dataInfo.bndmll >
												dataInfo.qndmll
													? 'el-icon-top'
													: 'el-icon-bottom'
											"
										></i>
										{{ percentage.flow }}%
									</span>
								</div>
								<div class="tjli-text2">
									<span class="tjli-text2-l">{{
										formatThousand(dataInfo.bndmll || 0)
									}}</span
									><span class="tjli-text2-r">辆</span>
								</div>
							</div>
							<div class="tj-left-item tj-left-item-b">
								<div class="tjli-text1">
									<span class="tjli-text1-l tj-text-zmd"
										>{{ qunianlastText }}断面流量</span
									>
								</div>
								<div class="tjli-text2">
									<span class="tjli-text2-l">{{
										formatThousand(dataInfo.qndmll || 0)
									}}</span
									><span class="tjli-text2-r">辆</span>
								</div>
							</div>
						</el-carousel-item>
					</div>
				</el-carousel>
			</div>
			<div class="chart-box">
				<Ect :options="ectOpts" />
			</div>
		</div>
	</modulen>
</template>

<script lang="setup">
import { formatThousand } from "@/utils/util";
import {
  inOutSummary,
  inOutSummaryChild,
  gateSummary,
  gateSummaryChild,
} from "@/api/chargeInfo.js";
import moment from "moment";

export default {
  data() {
    return {
      a:[],
      categoryDatas:[],
      selectType: 2,
      ectOpts: {},
      categoryData: [], // 类目轴
      bnclData: [], // 本年车辆 (统计图)
      qnclData: [], // 去年车辆 (统计图)
      bnjeData: [], // 本年金额 (统计图)
      qnjeData: [], // 去年金额 (统计图)
      bndmllData: [], // 本年断面流量 (统计图)
      qndmllData: [], // 去年断面流量 (统计图)
      query: {
        timemode: "month",
        // timeflag: String(moment(new Date()).format("yyyyMM")-1) ,
        timeflag: String( moment(new Date()).subtract("year").format("YYYY")+moment(new Date()).subtract(1, "month").format("MM"))  ,
        level: 0,
        dimension: "",
      },
      dataInfo: {
        bncl: "",
        qncl: "",
        bnje: "",
        qnje: "",
        bndmll: "",
        qndmll: "",
      },
     percentage:{
        money:"",
        vehicle:"",
        flow:""
      },
      tongbiText:moment(new Date()).format("YYYY年")+moment(new Date()).subtract(1,"month").format("MM月") ,//去年同比
      // tongbiText:moment(oldYYYYMMDD).format("yyyy年MM月"),//本年同比
      qunianlastText:"",//上上年同比
        nowText:"今年月" ,
        lastText:"上年月",
    };

  },
  mounted() {
    // this.getData()
    // 页面加载时  处理左侧同比日期
    this.handleChangeDate(this.selectType, this.getDate)
  },
  computed: {

    getDate() {
      this.query.timeflag = String( moment(this.$store.state.appDate).format("YYYY")+moment(this.$store.state.appDate).subtract(1, "month").format("MM"))
      this.tongbiText=moment(this.$store.state.appDate).subtract(1,"year").format("YYYY年")+moment(this.$store.state.appDate).subtract(1,"month").format("MM月")
      return this.$store.state.appDate;
    },
    selectRoad() {
      return this.$store.state.road.selectRoadId;
    },
  },
  watch: {
    getDate(newVal) {
       this.changeData(this.selectType, newVal)
    },
    selectRoad(newVal) {
      const level = this.$store.state.road.selectLevel;
      const roadId = newVal ? newVal[level - 1] : "";
      this.query.level = level;
      this.query.dimension = roadId;
      this.getData();
    },
  },
  methods: {
    formatThousand,
    // 时间控件回调
    handleChangeDate(value) {
      this.selectType = value;
      this.changeData(value, this.getDate)
    },
    changeData(value, date) {
        if (value === 1) {
        this.query.timemode = "year";
          // 上一年
        this.query.timeflag =moment(date).subtract( 1,"year").format("YYYY") ;
        this.tongbiText =moment(this.query.timeflag).format("yyyy年")
        this.nowText = "上年"
        } else if (value === 2) {
        // 月
        this.query.timemode = "month";
        // 上一年上一月

        this.query.timeflag =String(moment(date).format("yyyyMM")-1)
        if(this.query.timeflag.substr(4)=="00"){
        this.query.timeflag = String(moment(date).subtract(1, "year").format("YYYY")+moment(date).subtract(1, "month").format("MM"))
        this.tongbiText =moment(this.query.timeflag).format("yyyy年MM月")
           this.nowText="今年月"
        }
        this.tongbiText =moment(this.query.timeflag).format("yyyy年MM月")
           this.nowText="今年月"
        } else {
        // 日
        this.query.timemode = "day";
         // 上一年上一月上一日
        let lastYearYYDDMM = moment(this.getDate).format("YYYY") + moment(date).subtract("month").format("MM") +moment(new Date()).subtract(1,"days").format("DD")

        if(moment(new Date()).subtract("days").format("DD") =="01"){
          lastYearYYDDMM = moment(this.getDate).format("YYYY") + moment(date).subtract(1,"month").format("MM") +moment(new Date()).subtract(1,"days").format("DD")
        }
        if(lastYearYYDDMM.substr(4)=="0229"){
          this.query.timeflag=moment(this.getDate).format("YYYY") + moment(date).subtract(1,"month").format("MM") +"29"
          };
        this.query.timeflag = String(moment(lastYearYYDDMM).format("yyyyMMDD"))
          if( ["0231","0230"].includes( lastYearYYDDMM.substr(4))){
          this.query.timeflag=moment(this.getDate).format("YYYY") + moment(date).subtract(1,"month").format("MM") +"28"
            }

          this.tongbiText =moment(this.query.timeflag).format("yyyy年MM月DD日")
            if( this.tongbiText=='Invalid date'){
              this.tongbiText = "异常/特殊月份"
           }
          this.nowText ="今年日"
       }
       this.getData(this.getDate);
    },

    async getData(date) {
        if(this.query.timeflag.slice(-2) == '12'){
            
         this.query.timeflag = String( moment(this.getDate).subtract(1,"year").format("YYYY")+moment(this.getDate).subtract(1, "month").format("MM"))
         this.tongbiText=moment(this.getDate).subtract(1,"year").format("YYYY年")+moment(this.getDate).subtract(1,"month").format("MM月")
        }
          // 获取去年的年份
          const nowD = this.getDate;  //当前选择得时间
          const lastY =nowD.getFullYear() - 2;  //2020   年份
          const lastyQuery = Object.assign({}, this.query);     //年份
          lastyQuery.timeflag = lastY + lastyQuery.timeflag.substr(4);

          if(lastyQuery.timeflag.length ==4){
          this.qunianlastText =moment(lastyQuery.timeflag).format("yyyy年")
          this.lastText ="前年"
          }
             //  如果是月份
          else  if(lastyQuery.timeflag.length ==6){
           let loseMonth=  new Date(this.getDate).getMonth()
           const nowD = this.getDate;
           const lastY = nowD.getFullYear() - 1;
           lastyQuery.timeflag=lastY + lastyQuery.timeflag.substr(4)

          //如果选择月份是1月，就年份-1 月份变成12月
          if(loseMonth==0){
           const lastY = nowD.getFullYear() - 2;
           lastyQuery.timeflag=lastY + lastyQuery.timeflag.substr(4)
           this.qunianlastText =moment(  lastyQuery.timeflag).format("yyyy年MM月")
           this.lastText = moment(lastyQuery.timeflag).format("yyyy年")
           this.lastText ="上年月"
          }

          this.qunianlastText =moment(lastyQuery.timeflag).format("yyyy年MM月")
          this.lastText ="上年月"
          }
           else  if(lastyQuery.timeflag.length ==8){
           let loseMonth=  new Date(date).getMonth()
           const nowD = this.getDate;
           const lastY = nowD.getFullYear() - 1;

           lastyQuery.timeflag=lastY + lastyQuery.timeflag.substr(4)
          if( lastyQuery.timeflag.substr(4)=="0329"){
          lastyQuery.timeflag=moment(this.getDate).subtract(1,"year").format("YYYY") + moment(date).subtract(2,"month").format("MM") +"29"
          }
            //如果选择月份是1月，就年份-1 月份变成12月
           if(loseMonth==0){
           const nowD = this.getDate;
           const lastY = nowD.getFullYear()-1
           lastyQuery.timeflag=lastY + lastyQuery.timeflag.substr(4)
           this.qunianlastText =moment(lastyQuery.timeflag).format("yyyy年MM月DD日")
           this.lastText ="上年日"
           }

           this.qunianlastText =moment(lastyQuery.timeflag).format("yyyy年MM月DD日")
           if(  this.qunianlastText=='Invalid date'){
              this.qunianlastText = "异常/特殊月份"
           }
           this.lastText ="上年日"
         }
      // 左侧数据 ============
      // 上年
      const data = await inOutSummary(this.query);
      const datadm = await gateSummary(this.query);
      this.dataInfo.bncl = data.msgContent[0]?.flowCount; //上年车辆
      this.dataInfo.bnje = data.msgContent[0]?.feeSum; //上年金额
      this.dataInfo.bndmll = datadm.msgContent[0]?.flowCount; //上年断面流量

      //上上年
      const data1 = await inOutSummary(lastyQuery);
      const datadm1 = await gateSummary(lastyQuery);

      this.dataInfo.qncl = data1.msgContent[0]?.flowCount; //上上年车辆
      this.dataInfo.qnje = data1.msgContent[0]?.feeSum; //上上年金额
      this.dataInfo.qndmll = datadm1.msgContent[0]?.flowCount; //上上年断面流量

        if(  this.qunianlastText=='Invalid date'){
                this.dataInfo.qncl=0
                this.dataInfo.qnje =0
                this.dataInfo.qndmll=0
           }

         if(  this.tongbiText=='Invalid date'){
                 this.dataInfo.bncl=0
                 this.dataInfo.bnje=0
                 this.dataInfo.bndmll=0
           }
      this.percentage.vehicle  =(((this.dataInfo.bncl - this.dataInfo.qncl) / this.dataInfo.qncl) *100||0).toFixed(0),
      this.percentage.money=(((this.dataInfo.bnje - this.dataInfo.qnje) /  this.dataInfo.qnje) *100 || 0).toFixed(0),
      this.percentage.flow=(((this.dataInfo.bndmll - this.dataInfo.qndmll) /  this.dataInfo.qndmll) * 100 || 0 ).toFixed(0)
      if( this.percentage.money =="Infinity"){ this.percentage.money=100}
      if( this.percentage.vehicle =="Infinity"){this.percentage.vehicle=100}
      if( this.percentage.flow =="Infinity"){ this.percentage.flow=100}
      const categoryData = []; // 类目轴
      const bnclData = []; // 本年车辆 (统计图)
      const qnclData = []; // 去年车辆 (统计图)
      const bnjeData = []; // 本年金额 (统计图)
      const qnjeData = []; // 去年金额 (统计图)
      const bndmllData = []; // 本年断面流量 (统计图)
      const qndmllData = []; // 去年断面流量 (统计图)

      // 统计图 ===================
      //本年
      const data2 = await inOutSummaryChild(this.query);
      data2.msgContent.forEach((ele) => {
        bnclData.push(ele.flowCount); // 本年车辆
        bnjeData.push(ele.feeSum); // 本年金额
      });
      // 去年
      const data3 = await inOutSummaryChild(lastyQuery);
      data3.msgContent.forEach((ele) => {
        qnclData.push(ele.flowCount); // 去年车辆
        qnjeData.push(ele.feeSum); // 去年车辆
      });


      const datadm2 = await gateSummaryChild(this.query);
      datadm2.msgContent.forEach((ele) => {
        categoryData.push(ele.orgName); // 统计图横坐标 （这个几统计图的接口都可以取）
        bndmllData.push(ele.flowCount); // 本年断面流量
      });

      const datadm3 = await gateSummaryChild(lastyQuery);
      datadm3.msgContent.forEach((ele) => {
        qndmllData.push(ele.flowCount); // 去年车辆
      });
      this.categoryData = categoryData

      this.bnclData = bnclData; // 本年车辆 (统计图)
      this.qnclData = qnclData; // 去年车辆 (统计图)
      this.bnjeData = bnjeData; // 本年金额 (统计图)
      this.qnjeData = qnjeData; // 去年金额 (统计图)
      this.bndmllData = bndmllData; // 本年断面流量 (统计图)
      this.qndmllData = qndmllData; // 去年断面流量 (统计图)

      this.getCharts();


    },
    getCharts() {

      const legendData = [
        this.nowText + '车辆',
        this.lastText + '车辆',
        this.nowText + '断面流量',
        this.lastText + '断面流量',
        this.nowText + '金额',
        this.lastText + '金额'
      ]
      this.ectOpts = {
        tooltip: {
          trigger: "axis",
          axisPointer: {
            type: "cross",
          },
        },
        grid: {
          left: 60,
          right: 60,
          bottom: 30,
        },
        color: [
          "#4999FF",
          "#40EFFF",
          "#22FF9A",
          "#FEC43C",
          "#0084FB",
          "#00E3FF",
        ],
        legend: {
          // data: ["收入", "车流量"],
          // data: [
          //   "本年车辆",
          //   "去年车辆",
          //   "本年断面流量",
          //   "去年断面流量",
          //   "本年金额",
          //   "去年金额",
          // ],
          data: legendData,
          textStyle: {
            fontSize: 11, //字体大小
            color: "#CBE7FF", //字体颜色
          },
          left: "center",
          borderRadius: 0,
          itemWidth: 17,
          itemHeight: 8,
        },
        xAxis: {
          type: "category",
          data: this.categoryData,
          splitLine: {
            show: false,
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            show: true,
            textStyle: {
              color: "#778FA4",
            },
          },
        },
        yAxis: [
          {
            type: "value",
            name: "车辆数(辆)",
            nameTextStyle: {
              color: "#909FAC",
              fontSize: 12,
              fontWeight: "bold",
            },
            min: 0,
            // max: 250,
            position: "left",
            axisLine: {
              show: true,
            },
            axisLabel: {
                  formatter: function(v){
                                      function tranNumber(num){
                       var numStr = num.toString();
                       // 十万以内直接返回
                       if (numStr.length <5 ) {
                           return numStr;
                       }
                       //大于8位数是亿
                       else if (numStr.length > 8) {
                           var decimal = numStr.substring(numStr.length - 8, numStr.length - 8 );
                           return parseFloat(parseInt(num / 100000000) + '.' + decimal) + '亿';
                       }
                       //大于6位数是十万 (以10W分割 10W以下全部显示)
                       else if (numStr.length > 5) {
                           var decimal = numStr.substring(numStr.length - 4, numStr.length - 4)
                           return parseFloat(parseInt(num / 10000) + '.' + decimal) + '万';
                       }else if(numStr.length == 5){
                           var decimal = numStr.substring(numStr.length - 3, numStr.length - 4)
                           return parseFloat(parseInt(num / 10000) + '.' + decimal) + '万';
                       }
                   }
                     return  tranNumber(v);
                 },
              textStyle: {
                color: "#778FA4",
              },
            },
            splitLine: {
              show: false,
            },
          },
          {
            type: "value",
            name: "金额(元)",
            nameTextStyle: {
              color: "#909FAC",
              fontSize: 12,
              fontWeight: "bold",
            },
            min: 0,
            // max: 250,
            position: "right",
            offset: 0,
            axisLine: {
              show: true,
            },
            axisLabel: {
                // formatter: "{value}",
                formatter: function(v){
                           function tranNumber(num){
                       var numStr = num.toString();
                       // 十万以内直接返回
                       if (numStr.length <4 ) {
                           return numStr;
                       }
                       //大于6位数是十万 (以10W分割 10W以下全部显示)
                       else if (numStr.length >5 ) {
                           var decimal = numStr.substring(numStr.length - 4, numStr.length - 4)
                           return parseFloat(parseInt(num / 10000) + '.' + decimal) + '亿';
                       }
                       else if (numStr.length >=5 ) {
                            var decimal = numStr.substring(numStr.length - 3, numStr.length - 4)
                           return parseFloat(parseInt(num / 10000) + '.' + decimal) + '亿';
                       }
                       else if (numStr.length ==4 ) {
                            var decimal = numStr.substring(numStr.length - 3, numStr.length - 3)
                           return parseFloat(parseInt(num / 1000) + '.' + decimal) + '千万';
                       }
                   }
                     return  tranNumber(v);
                 },
              textStyle: {
                color: "#778FA4",
              },
            },
            splitLine: {
              show: false,
            },
          },
        ],
        series: [
          {
            name: legendData[0],
            data: this.bnclData,
            itemStyle: {
              normal: {
                color: function (params) {
                  return {
                    type: "linear",
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [
                      {
                        offset: 0,
                        color: "#4999ff",
                      },
                      {
                        offset: 0.5,
                        color: "#4999FF",
                      },
                      {
                        offset: 1,
                        color: "#4999FF",
                      },
                    ],
                  };
                },
                barBorderRadius: [10, 10, 0, 0],
              },
            },
            type: "bar",
            barMaxWidth: "5",
            showBackground: true,
            backgroundStyle: {
              color: "rgba(59, 152, 219, 0)",
              borderWidth: 35,
              borderColor: "rgba(59, 152, 219, 0.08)",
            },
          },
          {
            name: legendData[1],
            data: this.qnclData,
            itemStyle: {
              normal: {
                color: function (params) {
                  return {
                    type: "linear",
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [
                      {
                        offset: 0,
                        color: "#40efff",
                      },
                      {
                        offset: 0.5,
                        color: "#40EFFF",
                      },
                      {
                        offset: 1,
                        color: "#40EFFF",
                      },
                    ],
                  };
                },
                barBorderRadius: [10, 10, 0, 0],
              },
            },
            type: "bar",
            barMaxWidth: "5",
          },
          {
            name: legendData[2],
            data: this.bndmllData,
            itemStyle: {
              normal: {
                color: function (params) {
                  return {
                    type: "linear",
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [
                      {
                        offset: 0,
                        color: "#25ffa9",
                      },
                      {
                        offset: 0.5,
                        color: "#22FF9A",
                      },
                      {
                        offset: 1,
                        color: "#22FF9A",
                      },
                    ],
                  };
                },
                barBorderRadius: [10, 10, 0, 0],
              },
            },
            type: "bar",
            barMaxWidth: "5",
          },
          {
            name: legendData[3],
            data: this.qndmllData,
            itemStyle: {
              normal: {
                color: function (params) {
                  return {
                    type: "linear",
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [
                      {
                        offset: 0,
                        color: "#FEC43C",
                      },
                      {
                        offset: 0.5,
                        color: "#FEC43C",
                      },
                      {
                        offset: 1,
                        color: "#FEC43C",
                      },
                    ],
                  };
                },
                barBorderRadius: [10, 10, 0, 0],
              },
            },
            type: "bar",
            barMaxWidth: "5",
          },
          {
            name: legendData[4],
            yAxisIndex: 1,
            // data: this.flowCount,
            data: this.bnjeData,
            type: "line",
            smooth: true,
            showSymbol: false,
            itemStyle: {
              color: "#0084FB",
            },
            lineStyle: {
              width: 2,
              color: "#0084FB", //折线颜色
              shadowOffsetX: 0, // 折线的X偏移
              shadowOffsetY: 0, // 折线的Y偏移
              shadowBlur: 30, // 折线模糊
              shadowColor: "#0084FB", //折线颜色
            },
          },
          {
            name: legendData[5],
            yAxisIndex: 1,
            // data: this.flowCount,
            data: this.qnjeData,
            type: "line",
            smooth: true,
            showSymbol: false,
            itemStyle: {
              color: "#00E3FF",
            },
            lineStyle: {
              width: 2,
              color: "#00E3FF", //折线颜色
              shadowOffsetX: 0, // 折线的X偏移
              shadowOffsetY: 0, // 折线的Y偏移
              shadowBlur: 30, // 折线模糊
              shadowColor: "#00E3FF", //折线颜色
            },
          },
        ],
      };
    },

  },
};
</script>

<style lang="scss" scoped>
@import '~/styles/viewport-convert.scss';
::v-deep(.el-carousel__container) {
	height: 100%;
}
.traff-tb-md {
	width: 100%;
	height: 100%;
	padding-top: 9px;
	display: flex;
	.tj-left {
		width: vw(177);
		margin-right: vw(15);
		height: 100%;
	}
	.txtb-carousel {
		height: 100%;
	}
	.chart-box {
		width: calc(100% - vw(192));
		height: 100%;
		position: relative;
	}
	.tj-left-item {
		width: 100%;
		// height: calc(25% - 5px);
		white-space: nowrap;
		overflow: hidden;
		height: vh(66);
		// margin-bottom: 5px;
		margin-bottom: 5px;
		padding: vh(8) vw(12);
	}
	.tj-left-item-a {
		background: url('@/assets/images/ChargeInfo/trafftbbg1.png');
		background-size: 100% 100%;
	}
	.tj-left-item-b {
		background: url('@/assets/images/ChargeInfo/trafftbbg2.png');
		background-size: 100% 100%;
	}
	.tjli-text1 {
		width: 100%;
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
	.tjli-text1-l {
		width: 50px;
		right: 5px;
		color: #b1dfff;
	}
	.tj-text-zmd {
		width: 50px;
		position: relative;
		right: 5px;
		width: fit-content;
		animation: move 5s linear infinite;
		padding-left: 50px;
		color: #b1dfff;
	}
	// .tj-text-zmd::after{
	// 			position: absolute;
	// 			right:-50%;
	// 			content:attr(text);
	// 		}

	@keyframes move {
		0% {
			transform: translateX(0);
		}
		100% {
			transform: translateX(-100%);
		}
	}

	.tjli-text1-r {
		position: absolute;
		right: 10px;
		margin-top: 23px;
		color: #fec43c;
		font-size: vw(13);
		font-family: 'DinNextRegular';
	}
	.tjli-text2-l {
		font-size: vw(17);
		font-family: 'DinNextRegular';
	}
	.tjli-text2-r {
		font-size: vw(13);
		color: #96beda;
		margin-left: 5px;
	}
}
</style>
